Bug 141430 - /usr/share/printconf/util/printconf_conf.py returns auto variable before it is assigned
/usr/share/printconf/util/printconf_conf.py returns auto variable before it i...
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: 150377 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 20:52 EST by David Betz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.119-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-10 11:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Betz 2004-11-30 20:52:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)

Description of problem:
I am using a pl2303 usb-to-parallel cable to drive my old laserjet 4
from my new computer.  When setting up the printer,
system-config-printer hangs with an error message about "auto is
returned before it is assigned", in line 1392 of file
/usr/share/printconf/util/printconf_conf.py.  I changed the line from

return { "auto" : auto }


return { "auto" : "" }

I was subsequently able to set up the printer.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  use a pl2303 cable to attach a parallel-port based printer to the
test computer
2.  use system-config-printer to try and install the printer

Actual Results:  system-config-printer hangs

Expected Results:  I should be able to install the printer.

Additional info:
Comment 1 Tim Waugh 2004-12-01 08:36:39 EST
Thanks.  Fixed in CVS (I think the correct line is "return { }").
Comment 3 Tim Waugh 2005-03-07 12:26:39 EST
*** Bug 150377 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.